using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性：风险类别
    /// </summary>
    [Description("导航属性：风险类别")]
    public class T_CM_URGENT_EVENT_RISK_TYPE : MesEntityBase
    {
        /// <summary>
        /// 潜在紧急事件ID
        /// </summary>
        [Description("潜在紧急事件")]
        [DataFieldForeignKey("Nav_UrgentEvent", "Nav_ListEventRiskType")]
        public Guid URGENT_EVENT_ID { get; set; }

        /// <summary>
        /// 导航属性：潜在紧急事件
        /// </summary>
        [Description("导航属性：潜在紧急事件")]
        public T_CM_URGENT_EVENT Nav_UrgentEvent { get; set; }

        /// <summary>
        /// 风险类别ID
        /// </summary>
        [Description("风险类别")]
        [DataFieldForeignKey("Nav_RiskType")]
        public Guid RISK_TYPE_ID { get; set; }

        /// <summary>
        /// 导航属性：风险类别
        /// </summary>
        [Description("导航属性：风险类别")]
        public T_HM_RISK_TYPE Nav_RiskType { get; set; }

    }
}
